#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hint
version:              0.9.0.5
visibility:           public
id:                   hint-0.9.0.5-EIrcdPBb1JpDPiMX7h1NGq
key:                  hint-0.9.0.5-EIrcdPBb1JpDPiMX7h1NGq
license:              BSD-3-Clause
maintainer:           "Samuel Gélineau" <gelisam@gmail.com>
author:               The Hint Authors
homepage:             https://github.com/haskell-hint/hint
synopsis:             Runtime Haskell interpreter (GHC API wrapper)
description:
    This library defines an Interpreter monad. It allows to load Haskell
    modules, browse them, type-check and evaluate strings with Haskell
    expressions and even coerce them into values. The library is thread-safe
    and type-safe (even the coercion of expressions to values).
    It is, essentially, a huge subset of the GHC API wrapped in a simpler
    API.

category:             Language, Compilers/Interpreters
abi:                  9c01fefba3013d67fd16f16b0ceeb063
exposed:              True
exposed-modules:
    Hint.Internal Language.Haskell.Interpreter
    Language.Haskell.Interpreter.Extension
    Language.Haskell.Interpreter.Unsafe

hidden-modules:
    Hint.GHC Hint.Base Hint.InterpreterT Hint.CompatPlatform
    Hint.Configuration Hint.Extension Hint.Context Hint.Conversions
    Hint.Eval Hint.Parsers Hint.Reflection Hint.Typecheck Hint.Util
    Hint.Annotations Control.Monad.Ghc

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hint-0.9.0.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hint-0.9.0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hint-0.9.0.5
hs-libraries:         HShint-0.9.0.5-EIrcdPBb1JpDPiMX7h1NGq
depends:
    base-4.15.1.0 containers-0.6.4.1 directory-1.3.6.2
    exceptions-0.10.4 filepath-1.4.2.1 ghc-9.0.2 ghc-boot-9.0.2
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    random-1.2.1-66Ivgj2ZR6P7NuQcoEOG2
    temporary-1.3-D56AdnUnUT6GB0l4hbfosj transformers-0.5.6.2
    unix-2.7.2.2

haddock-interfaces:   /usr/share/doc/haskell-hint/html/hint.haddock
haddock-html:         /usr/share/doc/haskell-hint/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

